# Retrieve In-Memory DB Restores

You can retrieve a list of In-Memory DB restores. The number of results displayed on each page depends on the `limit` and `offset` values. While `limit` limits the number of response elements, `offset` specifies the starting point within the collection of resource results returned from the server.&#x20;

Additionally, you can also use a response filter (`filter.name`) to list only the In-Memory DB restores that contain the specified `displayName`.

## Endpoint

Use a [<mark style="color:blue;">region-specific endpoint</mark>](/cloud/databases/in-memory-db/api-howtos.md#endpoints) to retrieve a list of restores: `https://in-memory-db.{region}.ionos.com/snapshots/{snapshotId}/restores`

{% hint style="info" %}
**Note:** Remember to replace the `snapshotId` with the relevant `UUID`. The sample `snapshotId` used in the example is `a8784665-3d99-5464-af32-30a2967f58e7`.
{% endhint %}

## Request

```bash
curl -X 'GET' \
  'https://in-memory-db.de-fra.ionos.com/snapshots/a8784665-3d99-5464-af32-30a2967f58e7/restores?offset=0&limit=100' \
  -H 'accept: application/json'
```

{% tabs %}
{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| **Header Parameters** | **Required** | **Type** | **Description**                                              |
| --------------------- | ------------ | -------- | ------------------------------------------------------------ |
| `Authorization`       | yes          | string   | Provide a header value as `Bearer` followed by your `token`. |
| `Content-Type`        | yes          | string   | Set this to `application/json`.                              |
| {% endtab %}          |              |          |                                                              |

{% tab title="Path Parameters" %}
The following path parameter is mandatory:

| **Path Parameter** | **Required** | **Type** | **Description**                                                                 |
| ------------------ | ------------ | -------- | ------------------------------------------------------------------------------- |
| `snapshotId`       | yes          | string   | The ID (UUID) of the snapshot. Example: `a8784665-3d99-5464-af32-30a2967f58e7`. |
| {% endtab %}       |              |          |                                                                                 |
| {% endtabs %}      |              |          |                                                                                 |

## Response

Your values will differ from those in the sample code. It may contain different IDs, timestamps etc.

**200 Successful operation**

```json
{
  "id": "534e6c-5e4a-5ff3-aa3c-d527f9d5",
  "type": "collection",
  "href": "/snapshots/{snapshotId}/restores",
  "items": [
    {
      "id": "39f0-552b-5182-8939-a3af94c",
      "type": "restore",
      "href": "/snapshots/{snapshotId}/restores/39fe0-552b-5182-8939-a3ac64c",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/872e-b28d-49ed-9d04-fba2d3",
        "createdByUserId": "87fe-b28d-49ed-9d04-fba2cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/8a82e-b28d-49ed-9d04-fba259cd3",
        "lastModifiedByUserId": "87f9ae-b28d-49ed-9d04-fba2c9cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "message": "In progress.",
        "restoreTime": "2024-07-12T20:01:30.566Z",
        "restoredSnapshotId": "35f999964-5717-4562-b3fc-2c988866afa6"
      },
      "properties": {
        "replicasetId": "35f999964-5717-4562-b3fc-2c988866afa6",
        "displayName": "In-Memory DB snapshot",
        "description": "Snapshot of the In-Memory DB replica set."
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/api-howtos/retrieve-in-memory-db-restores.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
